Subject: [PATCH 00/26] rt2x00

From: Ivo van Doorn <[email-masked]>
Date: Sun, 3 Dec 2006 19:18:49 +0100

Hi,

This patch series will bring rt2x00 completely up to date.
This includes the compile fixes after last d80211 update,
and brings so many fixes it is hard to summarize them.
Basically what it comes down to is that with this version
several people have managed to get the drivers working
and even have master mode operational in some situations.

Of course it is not yet bug free, after the last d80211 update
several people have reported crashes when the driver
was still loaded while doing a shutdown. The kernel
traces are very vague and don't give a good clue on where the
problem might come from, so there isn't much to say about that yet.

Note that this patch series contains the crc-itu-t patch. I have intentionally
put this patch at the end of the series, because its succes with that patch
last time I had send it.
This patch had earlier been send as a module for the /lib folder in the kernel,
but besides Randy Dunlap on the linux-kernel mailing list nobody has responded
either on this list or on the linux-kernel list.
So instead of placing it in the /lib folder of the linux kernel, I have this time
placed it in the rt2x00 folder where it should be acceptable.

Another new module that has been added is the eeprom_93cx6 module,
that has been generically build, which means that it is not rt2x00 specific.
I kept it in the rt2x00 folder since only rt2x00 uses it, and I have not
looked for other drivers that might need this module.

Some of the patches are too big to be inlined into the seperate mails,
so those have been placed online.

Ivo